StrokeType (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.scene.shape, enum: StrokeType

# Enum Class StrokeType

java.lang.Object
java.lang.Enum<StrokeType>
javafx.scene.shape.StrokeType

All Implemented Interfaces:
  `Serializable, Comparable<StrokeType>, Constable`

public enum StrokeType extends Enum<StrokeType>
Defines where to draw the stroke around the boundary of a Shape node.

Since:
  JavaFX 2.0
See Also:
  - `Shape`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTERED`
  The stroke is applied by thickening the boundary of the `Shape` node by a distance of half of the `strokeWidth` on either side of the boundary.
  `INSIDE`
  The stroke is applied by extending the boundary of a closed `Shape` node into its interior by a distance specified by the `strokeWidth`.
  `OUTSIDE`
  The stroke is applied by extending the boundary of a closed `Shape` node outside of its interior by a distance specified by the `strokeWidth`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StrokeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StrokeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INSIDE

    public static final StrokeType INSIDE
    The stroke is applied by extending the boundary of a closed `Shape` node into its interior by a distance specified by the `strokeWidth`. Since the definition of `INSIDE` depends on the filled interior of the shape, this `StrokeType` is undefined for unclosed shapes.

    The image shows a shape without stroke and the same shape with a thick inside stroke applied.

  - ### OUTSIDE

    public static final StrokeType OUTSIDE
    The stroke is applied by extending the boundary of a closed `Shape` node outside of its interior by a distance specified by the `strokeWidth`. Since the definition of `OUTSIDE` depends on the filled interior of the shape, this `StrokeType` is undefined for unclosed shapes.

    The image shows a shape without stroke and the same shape with a thick outside stroke applied.

  - ### CENTERED

    public static final StrokeType CENTERED
    The stroke is applied by thickening the boundary of the `Shape` node by a distance of half of the `strokeWidth` on either side of the boundary. Since the definition of `CENETERED` is symmetric and agnostic as to the location of any interior of a shape, it can be used for either closed or unclosed shapes.

    The image shows a shape without stroke and the same shape with a thick centered stroke applied.

- ## Method Details

  - ### values

    public static StrokeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StrokeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null